Skip to main content
POST
/
vendor
/
campaigns
/
{id}
/
promotions
Assign promotions to campaign
curl --request POST \
  --url https://api.example.com/vendor/campaigns/{id}/promotions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "add": [
    "<string>"
  ],
  "remove": [
    "<string>"
  ]
}
'
{
  "campaign": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "currency": "<string>",
    "campaign_identifier": "<string>",
    "starts_at": "<string>",
    "ends_at": "<string>",
    "budget": {
      "id": "<string>",
      "type": "spend",
      "currency_code": "<string>",
      "limit": 123,
      "used": 123
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the campaign.

Query Parameters

fields
string

Comma-separated fields to include in the response.

Body

application/json
add
string[]

Array of promotion IDs to add to the campaign.

remove
string[]

Array of promotion IDs to remove from the campaign.

Response

200 - application/json

OK

campaign
object

The campaign's details.